Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007177opensim[REGION] Script Functionspublic2014-05-16 09:422015-05-02 09:52
Reporterdjphil 
Assigned Tojustincc 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS VersionSeven
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0007177: [SCRIPT] llGetObjectDetails() don't work with HUD
DescriptionI tried using llGetObjectDetails worn as HUD and i found it will NOT work 100%.

I try with:
OBJECT_POS is ok
OBJECT_ROT remains 0
OBJECT_VELOCITY remains 0

I tested these 3 parameters in SL and all works fine.
So there is also a bug with llGetObjectDetails in OpenSim.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Environment.NET / Windows32
Mono VersionNone
ViewerSingularity, FireStorm
Attached Files

- Relationships

-  Notes
(0026117)
djphil (reporter)
2014-05-16 09:43

See also similar problem here:
http://opensimulator.org/mantis/view.php?id=7175 [^]
(0026601)
djphil (reporter)
2014-07-26 04:42

Currently in Version v0.8.1 OSG I found that the problem persists. Have you tried to fix this bug? I do not see any information about it. Thank you in advance.
(0026793)
justincc (administrator)
2014-08-29 17:17

Fixed in git master 0cc3cdf, bb7c888
(0028151)
djphil (reporter)
2015-04-30 15:54

Works fine now, thank you sir!

- Issue History
Date Modified Username Field Change
2014-05-16 09:42 djphil New Issue
2014-05-16 09:43 djphil Note Added: 0026117
2014-07-26 04:42 djphil Note Added: 0026601
2014-08-29 17:17 justincc Note Added: 0026793
2014-08-29 17:17 justincc Status new => resolved
2014-08-29 17:17 justincc Resolution open => fixed
2014-08-29 17:17 justincc Assigned To => justincc
2015-04-30 15:54 djphil Note Added: 0028151
2015-04-30 15:54 djphil Status resolved => closed
2015-04-30 15:54 djphil Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker